请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册
搜索

开发问题 用华为IDE可以打开编译,但是导入快应用工具里就编译报错

3
回复
81
查看
[复制链接]

2

主题

3

帖子

25

积分

 楼主| 2019-8-2 15:06:36 显示全部楼层 |阅读模式
在华为IDE里可以成功编译的工程,用快应用开发工具打开后,就编译失败了,报这个错
TIM截图20190802150326.png
在控制台里也提示 [HAP-DEBUG] [ERRO] 构建错误 Module not found: Error: Can't resolve 'babel-loader' in 'd:\myworkspace\demo\src'


请问这是什么原因导致的
回复

使用道具 举报

2019-8-6 11:14:17 显示全部楼层
可以尝试执行yarn install试下,看样子是依赖没有安装
回复

使用道具 举报

2

主题

3

帖子

25

积分

 楼主| 2019-8-8 15:03:20 显示全部楼层
vivo官方技术团队 发表于 2019-8-6 11:14
可以尝试执行yarn install试下,看样子是依赖没有安装

直接npm install 也没用,不能解决问题
回复

使用道具 举报

6 天前 显示全部楼层
先删除node_modules , 然后npm install试试
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册